Loading...
Searching...
No Matches
Ogre::GpuNamedConstantsSerializer Class Reference
Core » Materials

Simple class for loading / saving GpuNamedConstants. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuNamedConstantsSerializer:
[legend]

## Public Member Functions

| GpuNamedConstantsSerializer ()
virtual | ~GpuNamedConstantsSerializer ()
void | exportNamedConstants (const GpuNamedConstants *pConsts, const String &filename, Endian endianMode=ENDIAN_NATIVE)
void | exportNamedConstants (const GpuNamedConstants *pConsts, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
void | importNamedConstants (DataStreamPtr &stream, GpuNamedConstants *pDest)
Public Member Functions inherited from Ogre::Serializer
| Serializer ()
| ~Serializer ()

## Additional Inherited Members

Public Types inherited from Ogre::Serializer
enum | Endian { ENDIAN_NATIVE , ENDIAN_BIG , ENDIAN_LITTLE }
| The endianness of written files. More...

## Detailed Description

Simple class for loading / saving GpuNamedConstants.

## Constructor & Destructor Documentation

## GpuNamedConstantsSerializer()

Ogre::GpuNamedConstantsSerializer::GpuNamedConstantsSerializer | ( |  | ) |

## ~GpuNamedConstantsSerializer()

virtual Ogre::GpuNamedConstantsSerializer::~GpuNamedConstantsSerializer | ( |  | ) |

virtual

## Member Function Documentation

## exportNamedConstants() [1/2]

void Ogre::GpuNamedConstantsSerializer::exportNamedConstants | ( | const GpuNamedConstants * | pConsts,
|  | const String & | filename,
|  | Endian | endianMode = ENDIAN_NATIVE )

References Ogre::Serializer::ENDIAN_NATIVE.

## exportNamedConstants() [2/2]

void Ogre::GpuNamedConstantsSerializer::exportNamedConstants | ( | const GpuNamedConstants * | pConsts,
|  | DataStreamPtr | stream,
|  | Endian | endianMode = ENDIAN_NATIVE )

References Ogre::Serializer::ENDIAN_NATIVE.

## importNamedConstants()

void Ogre::GpuNamedConstantsSerializer::importNamedConstants | ( | DataStreamPtr & | stream,
|  | GpuNamedConstants * | pDest )

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h